#ifndef SYS_MQTT_H
#define SYS_MQTT_H
#include <stdint.h>
#include "mqttclient.h"

extern int mqtt_connectFlag;
extern	QueueHandle_t xQueue1;
struct Pub_Queue
{
	uint16_t pubLength;
	mqtt_qos_t qos;
	char *pub_topic;
	char *message;
};
void mqtt_task_creat(void);
void mqtt_publish_data(char *payload,mqtt_qos_t qos,uint16_t pub_length,char *topic);
#endif
